// Nota: o REM nesta loja foi alterado para ser 1rem = 10px, afim de facilitar o uso da unidade de medida.
// O cart_drawer não considera isso, então estes resets alteram algumas propriedades para que fiquem com a proporção
// original, que foi montada considerando 1rem = 16px;

#component-cart-drawer-root > .vnda-cart-drawer {
  //Oculta widget indique e ganhe no mobile
  .cart-drawer-z-50 {
    z-index: 99999 !important;

    @include media("sm") {
      z-index: 999 !important;
    }
  }

  .cart-drawer-content {
    max-width: 44.8rem !important;
  }

  // ------------------------------------------------
  // WIDTH / HEIGHT
  // ------------------------------------------------
  .cart-drawer-w-3 {
    width: 1.4rem;
  }

  .cart-drawer-w-5 {
    width: 2rem;
  }

  .cart-drawer-w-6 {
    width: 2.4rem;
  }

  .cart-drawer-w-24 {
    width: 9.6rem;
  }

  .cart-drawer-h-3 {
    height: 1.2rem;
  }

  .cart-drawer-h-5 {
    height: 2rem;
  }

  .cart-drawer-h-6 {
    height: 2.4rem;
  }

  // ------------------------------------------------
  // MARGENS
  // ------------------------------------------------
  .cart-drawer-mt-1 {
    margin-top: 0.4rem;
  }

  .cart-drawer-ml-2 {
    margin-left: 0.8rem;
  }

  .cart-drawer-mb-3 {
    margin-bottom: 1.2rem;
  }

  .cart-drawer-mx-4 {
    margin-left: 1.6rem;
    margin-right: 1.6rem;
  }

  .cart-drawer-my-1 {
    margin-top: 0.4rem;
    margin-bottom: 0.4rem;
  }

  .cart-drawer-my-2 {
    margin-top: 0.8rem;
    margin-bottom: 0.8rem;
  }

  // ------------------------------------------------
  // PADDINGS
  // ------------------------------------------------
  .cart-drawer-p-1 {
    padding: 0.4rem;
  }

  .cart-drawer-p-2 {
    padding: 0.8rem;
  }

  .cart-drawer-p-4 {
    padding: 1.6rem;
  }

  .cart-drawer-pt-1 {
    padding-top: 0.4rem;
  }

  .cart-drawer-pt-2 {
    padding-top: 0.8rem;
  }

  .cart-drawer-pt-3 {
    padding-top: 1.2rem;
  }

  .cart-drawer-pb-2 {
    padding-bottom: 0.8rem;
  }

  .cart-drawer-px-1 {
    padding-left: 0.4rem;
    padding-right: 0.4rem;
  }
  .cart-drawer-px-2 {
    padding-left: 0.8rem;
    padding-right: 0.8rem;
  }

  .cart-drawer-px-4 {
    padding-left: 1.6rem;
    padding-right: 1.6rem;
  }

  .cart-drawer-py-2 {
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
  }

  // ------------------------------------------------
  // TEXTOS
  // ------------------------------------------------
  .cart-drawer-text-xs {
    font-size: 1.2rem;
    line-height: 1.6rem;
  }

  .cart-drawer-text-sm {
    font-size: 1.3rem;
    line-height: 2rem;
  }

  .cart-drawer-text-lg {
    font-size: 1.6rem;
    line-height: 2.6rem;
  }

  // ------------------------------------------------
  // BORDER RADIUS
  // ------------------------------------------------
  .cart-drawer-rounded-sm {
    border-radius: 0.2rem;
  }

  .cart-drawer-rouded-md {
    border-radius: 0.6rem;
  }

  .cart-drawer-focusable {
    border-radius: 0.4rem;
  }
}

// Estilo custom cart drawer
#cart-drawer-el {
  --color-highlight: 0, 0, 0; // Alterar para a cor destaque da loja
  background-color: #ffffff8c;

  .cart-drawer-bg-gray-50 {
    background-color: var(--gray-1);
  }

  .cart-drawer-text-shade-regular {
    color: var(--font-color-base);
  }

  .cart-drawer-text-gray-400 {
    color: var(--font-color-base);
  }

  .cart-drawer-font-semibold {
    font-weight: 600;
    color: var(--font-color-base);
  }

  //HEADER
  .cart-drawer-header {
    background-color: var(--white);
  }

  .cart-drawer-header p {
    font-family: var(--font-family-base);
    color: var(--font-color-base);
    font-weight: 700;

    span {
      font-family: var(--font-family-base);
      font-weight: var(--font-weight-base);
      color: var(--gray-3);
    }
  }

  .cart-drawer-header button {
    background-color: var(--white);
    border-radius: 50% !important;
    box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.15);
  }

  .cart-drawer-header span,
  .cart-drawer-header svg,
  .cart-drawer-text-gray-900 {
    color: var(--font-color-base);
  }
  //----//

  //BARRA DE FRETE GRÁTIS
  .vnda-shipping-container {
    background-color: var(--white);
    margin-bottom: 1.6rem;
    padding: 1.4rem !important;
  }

  .vnda-shipping-container .vnda-shipping-text {
    text-align: center;
    font-size: var(--font-size-base);
    color: var(--gray-3);
    text-transform: uppercase;
  }

  .vnda-shipping-progress {
    border-radius: 0.8rem;
    background-color: var(--gray-2);
  }

  .cmp-cart-drawer-free-shipping-progress {
    border-radius: 0.8rem;
    background-color: var(--primary-color);
  }

  .cmp-cart-drawer-free-shipping-progress-complete {
    background-color: var(--primary-color);
  }
  //----//

  //Bloco do produto
  .cart-item.cart-list-item {
    background-color: var(--white);
    margin-bottom: 1.4rem;
  }

  .cmp-cart-drawer-items .cart-list-item {
    padding: 1.4rem;
  }

  .cmp-cart-drawer-items .cart-item > div {
    align-items: center;
  }

  //Imagem
  .cart-drawer-tracking-tight > div:first-child {
    margin-left: 0;
    margin-right: 0;
    width: 9.6rem;
    height: 12.6rem; // Alterar de acordo com a proporção dos produtos da loja

    img {
      height: 100%;
      object-fit: cover;
    }
  }

  // Botões - aumentar/diminuir/excluir
  .cart-buttons-container {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    margin-bottom: 1rem;
    height: 4rem;

    .cart-buttons-min {
      border-radius: 0;
      border: 1px solid var(--gray-2);
      border-right: 0;
      opacity: 1 !important;
      margin: 0;
      color: var(--gray-3);
      outline: none;
      box-shadow: none;
      font-size: var(--font-size-big);
    }

    .cart-buttons-amount {
      flex-grow: 0;
      border-radius: 0;
      border-top: 1px solid var(--gray-2);
      border-bottom: 1px solid var(--gray-2);
      width: 100%;
      padding: 0;
      margin: 0;
      font-size: var(--font-size-small);
      color: var(--gray-3);
    }

    .cart-buttons-plus {
      border-radius: 0;
      border: 1px solid var(--gray-2);
      border-left: 0;
      opacity: 1 !important;
      margin-right: 50%;
      margin: 0px;
      margin-right: 50%;
      color: var(--gray-3);
      outline: none;
      box-shadow: none;
      font-size: var(--font-size-big);
    }
  }

  // Alerta de quantidade máxima
  .cart-buttons-qtd-max.cart-drawer-leading-tight.cart-drawer-bg-highlight.cart-drawer-bg-opacity-90 {
    background-color: var(--secondary-color);
    color: var(--primary-color);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  //Preço do item
  .cart-item .cart-list-item-price span {
    color: var(--font-color-base);

    //Original price
    &:first-child {
      color: var(--gray-3);
    }
  }

  //Nome do produto
  .cart-item .cart-list-item-name a {
    font-weight: 600;
    color: var(--font-color-base);
  }

  .cart-drawer-tracking-tight > div:last-child {
    flex: 1;
  }

  // Botão de ativação do formulário de cupom
  .cart-drawer-content > .cart-drawer-relative > div:last-child > div > button.cart-drawer-focusable {
    color: var(--gray-3);
  }

  // Adicionar Cupom
  form.cart-drawer-flex {
    // Input
    input {
      border: 0;
      border: 1px solid var(--gray-2);
      border-radius: 0.4rem;
      height: 4.2rem;
      padding-left: 2rem !important;
      padding-right: 2rem !important;
    }

    label {
      padding: 0 2rem;
    }

    // Botão
    > button[type="submit"] {
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-button);
      border: 0;
      background-color: var(--primary-color);
      color: var(--white);
      height: 4.2rem;
      margin-top: auto;
      transition: var(--transition);
      outline: none;
      border-radius: 0.8rem;

      &:hover {
        background-color: var(--secondary-color);
        color: var(--white);
      }
    }
  }

  //Preço e parcelas
  .cart-drawer-content > div > div:last-child > div > div {
    p.cart-drawer-text-xs.cart-drawer-text-right {
      font-weight: 700;
      color: var(--font-color-base);

      span.cart-drawer-installments {
        font-weight: 400;
        color: var(--gray-3);
      }
    }
  }

  .card-drawer-cta {
    color: var(--white);
    background-color: var(--primary-color);
    position: relative;
    font-size: var(--font-size-button) !important;
    font-weight: var(--font-weight-button);
    font-family: var(--font-family-base);
    padding: 0.5rem 1.4rem !important;
    border: 0;
    border-radius: 0.8rem;
    height: 5rem;
    transition: var(--transition);
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-shadow: none;
    cursor: pointer;
    text-transform: none;

    &:hover {
      background-color: var(--secondary-color);
      color: var(--white);
    }

    //Texto transparente quando o svg aparece
    &.cart-drawer-text-opacity-0 {
      color: transparent !important;
    }
  }

  // Sugeridos
  .vnda-suggested-container {
    margin-top: auto;
    order: 2;
    padding: 1.4rem !important;
    background-color: var(--white);
    border-radius: 0;

    button {
      outline: none !important;
      box-shadow: none !important;
    }
  }

  .vnda-suggested-title {
    font-size: var(--font-size-base) !important;
    font-weight: 600;
    margin-top: 0;
    margin-bottom: 0.4rem;
  }

  .vnda-suggested-container .cart-drawer-overflow-x-auto {
    scrollbar-width: unset !important;

    &::-webkit-scrollbar {
      height: 0.4rem;
      border-radius: 0.8rem;
    }

    &::-webkit-scrollbar-track {
      background: var(--gray-1);
      border-radius: 0.8rem;
    }

    &::-webkit-scrollbar-thumb {
      background: var(--primary-color);
      border-radius: 0.8rem;
    }
  }

  // item name
  .vnda-suggested-item h5 {
    font-size: var(--font-size-small) !important;
    font-weight: 600 !important;
    line-height: 1.2;
    text-align: center;
  }

  //Preço sugeridos
  .vnda-suggested-item .cart-drawer-suggested-item-info p.cart-drawer-text-sm {
    font-size: var(--font-size-small) !important;
    font-weight: var(--font-weight-base);
  }

  .vnda-suggested-item span.cart-drawer-button {
    font-size: var(--font-size-button);
    border-radius: 0.8rem;
    color: var(--white);
    position: relative;
    text-decoration: none;
    background-color: var(--primary-color);
    font-family: var(--font-family-base);
    font-weight: var(--font-weight-button);
    padding: 0.5rem 1rem;
    width: 100%;
    height: 4.2rem;
    transition: var(--transition);
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: none;
    cursor: pointer;
    border: 0;

    &:hover {
      background-color: var(--secondary-color);
      color: var(--white);
    }
  }

  // Seleção de atributos - Tela exibida após o clique no Adicionar
  .cart-drawer-tracking-tight > div:first-child img {
    height: auto;
    object-fit: contain;
  }

  .cart-drawer-tracking-tight
    + .cart-drawer-pt-2.cart-drawer-flex.cart-drawer-space-x-1
    > div.cart-drawer-border.cart-drawer-border-shade-softlight {
    border: solid 2px var(--gray-2);
    transition: var(--transition);
    animation: blink-border 1.75s infinite;

    &:hover {
      animation-play-state: paused;
    }
  }

  .cart-drawer-tracking-tight + .cart-drawer-pt-2.cart-drawer-flex.cart-drawer-space-x-1 {
    position: relative;

    &::before {
      content: "Selecione a quantidade e adicione ao carrinho!";
      font-size: var(--font-size-small);
      color: var(--font-color-base);
      font-weight: 600;
      position: absolute;
      top: -2.8rem;
      transition: var(--transition);
    }

    button {
      transition: var(--transition);
    }
  }
}

@keyframes blink-border {
  0%,
  100% {
    border-color: transparent;
  }
  50% {
    border-color: var(--gray-2);
  }
}
